Zum Inhalt springen

API-Referenz zu node:zlib

Deflate, Gzip, Brotli, Zstandard und CRC32

Auf dieser Seite

node:zlib unterstützt Callback-, synchrone und Stream-APIs.

FamilieUnterstützung
DeflateFunktionen zum Komprimieren und Dekomprimieren mit und ohne Wrapper, Sync-Varianten, Klassen und create*-Hilfsfunktionen
GzipGzip, gunzip, unzip, Sync-Varianten, Klassen und create*-Hilfsfunktionen
BrotliFunktionen zum Komprimieren und Dekomprimieren, Klassen und create*-Hilfsfunktionen
ZstandardFunktionen zum Komprimieren und Dekomprimieren, Klassen und create*-Hilfsfunktionen
Hilfsprogrammecrc32, constants und codes
const zlib = require("node:zlib");
const input = Buffer.from("hello, zlib!");

const gzip = zlib.gzipSync(input);
zlib.gunzipSync(gzip).toString(); // "hello, zlib!"

const zstd = zlib.zstdCompressSync(input);
zlib.zstdDecompressSync(zstd).toString(); // "hello, zlib!"

Callback-Formen erhalten (error, result); synchrone Formen geben einen Buffer zurück oder werfen.

node:zlib/iter

Das Elide-spezifische Iterator-Modul liefert Transform-Factories für gzip, deflate, rohes deflate, Brotli und Zstandard. Eine Factory gibt ein Objekt mit .transform(asyncIterable) zurück; die Ausgabe kommt in Batches von Byte-Chunks an.

import { gzip } from "node:zlib/iter";

async function* input() {
  yield new TextEncoder().encode("hello");
}

for await (const batch of gzip().transform(input())) {
  for (const chunk of batch) {
    // compressed bytes
  }
}

Verwenden Sie Compression Streams mit Web Streams.

Siehe auch

Reference

Status: Partial · Not measured · since 1.1.0

Exports

ExportKindStatusNotes
deflateSync()functionFullCompress data using the deflate algorithm (RFC 1951 wrapped in zlib format RFC 1950)
inflateSync()functionFullDecompress data that was compressed with deflate (zlib format)
deflateRawSync()functionFullCompress data using the deflate algorithm in raw mode (no zlib header, RFC 1951)
inflateRawSync()functionFullDecompress raw deflate data (no zlib header)
gzipSync()functionFullCompress data using gzip (RFC 1952)
gunzipSync()functionFullDecompress gzip data (RFC 1952)
brotliCompressSync()functionFullCompress data using the Brotli algorithm (RFC 7932)
brotliDecompressSync()functionFullDecompress Brotli-compressed data (RFC 7932)
unzipSync()functionFullDecompress data with automatic format detection (gzip or deflate)
constantspropertyFullThe constants object exposes zlib, Brotli, and Zstd numeric constants
top-level constantsconstantPartialZ_NO_COMPRESSION, Z_BEST_SPEED, Z_BEST_COMPRESSION, Z_DEFAULT_COMPRESSION, Z_FILTERED, Z_HUFFMAN_ONLY and 73 more

Not implemented

107 top-level constants such as DEFLATE.

War diese Seite hilfreich?